Data Structures

# spriteloader.hpp File Reference

Base for loading sprites. More...

`#include "../core/alloc_type.hpp"`
`#include "../gfx_type.h"`

Go to the source code of this file.

## Data Structures
class | SpriteLoader
| Interface for the loader of our sprites. More...
struct | SpriteLoader::CommonPixel
| Definition of a common pixel in OpenTTD's realm. More...
struct | SpriteLoader::Sprite
| Structure for passing information from the sprite loader to the blitter. More...

## Detailed Description

Base for loading sprites.

Definition in file spriteloader.hpp.